from django.conf.urls import url
from django.contrib.auth import views as auth_views
from django.contrib.auth.decorators import login_required
from django.views.generic import TemplateView

from basetheme_bootstrap import views

app_name = 'basetheme_bootstrap'
urlpatterns = [
    url(r'^accounts/$', views.account_detail, name='account'),
    url(r'^accounts/login/$', auth_views.LoginView.as_view(), name='login'),
    url(r'^accounts/logout/$', auth_views.LogoutView.as_view(next_page='/'), name='logout'),
    url(r'^accounts/password/$', views.change_password, name='change_password'),
    url(r'^accounts/signup/$', views.signup, name='signup'),
    url(r'^accounts/edit/$', views.user_update, name='user-update'),
    url(r'^accounts/remove/$', views.user_delete, name='user-delete'),
    url(r'^about/$', views.about_page, name='about_page'),
]
